* {
	margin: 0;
}

/* Navigation styling starts here */
nav {
	display: flex;
	position: fixed;
	top: 0;
	color: whitesmoke;
	font-weight: bold;
	font-size: 1.5rem;
	background-color: black;
	justify-content: space-evenly;
	padding-top: 5px;
	padding-bottom: 5px;
	width: 100%;
	z-index: 1;
	text-shadow: 2px 2px 9px white;
	box-shadow: 0px 7px 5px 0px rgb(0, 0, 0, 0.24);
}
@media only screen and (max-width: 600px) {
	nav {
		display: flex;
		align-items: center;
		flex-direction: column;
		font-size: 1rem;
		padding-bottom: 5px;
	}
}
.nav__left {
	display: flex;
	font-size: 1.5rem;
}

@media only screen and (max-width: 650px) {
	.nav__left {
		box-shadow: 0px 0px 10px 10px #b0f7f5;
		background-color: #b0f7f5;
		border: none;
		transition: all 1.4s ease;
		-webkit-transition: all 1s ease-in-out;
		cursor: pointer;
		border-radius: 70px;
		color: rgb(36, 36, 36);
		text-shadow: 2px 2px 9px white;
		font-size: 1.5rem;
	}
}

.nav__right {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	margin-right: 20px;
	cursor: pointer;
}

@media only screen and (max-width: 500px) {
	.nav__right {
		display: flex;
		align-items: center;
		flex-direction: column;
		font-size: 2rem;
	}
}
/* Navigationg styling ends here */

/* Link styling */
a {
	text-decoration: none;
	color: whitesmoke;
	transition: width 1s, height 1s, transform 1s;
	-webkit-transition: all 1.5s ease-in-out;
	transform: rotate(360deg);
}
a:hover {
	color: #b0f7f5;
}

/* Link styling end */

/* Footer styling starts here */
.footer {
	display: flex;
	position: sticky;
	font-size: 1.3rem;
	font-weight: bold;
	color: whitesmoke;
	background-color: black;
	justify-content: space-evenly;
	position: fixed;
	left: 0;
	bottom: 0;
	width: 100%;
	filter: drop-shadow(2px 4px 8px black);
}

.footer__middle {
	display: flex;
	justify-content: space-evenly;
	width: 40%;
	padding-top: 5px;
	transition: width 1s, height 1s, transform 1s;
	-webkit-transition: all 1.4s ease-in-out;
}

.footer__middle img {
	cursor: pointer;
	transition: width 1s, height 1s, transform 1s;
	-webkit-transition: all 1.4s ease-in-out;
}

.footer__middle img:hover {
	background-color: #b0f7f5;
	cursor: pointer;
	border-radius: 70px;
	transition: width 1s, height 1s, transform 1s;
	-webkit-transition: all 1.4s ease-in-out;
	transform: rotate(-90deg);
	box-shadow: 0px 0px 15px 5px #b0f7f5;
}

.footer__right {
	display: flex;
	padding-top: 12px;
}

.footer__left {
	display: flex;
	padding-top: 12px;
}

/* Footer styling ends here. */

/* Pop up module styling starts here */

.modal {
	display: none;
	position: fixed;

	z-index: 1; /* Sit on top */
	left: 0;
	top: 0;
	padding-top: 10px;
	width: 100%; /* Full width */
	height: 100%; /* Full height */
	overflow: auto; /* Enable scroll if needed */
	background-color: rgb(0, 0, 0); /* Fallback color */
	background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

@media only screen and (max-width: 650px) {
	.modal {
		display: none;
		position: fixed;
		z-index: 1;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		overflow: auto;
		background-color: rgb(0, 0, 0);
		background-color: rgba(0, 0, 0, 0.4);
		align-items: center;
		font-size: 1rem;
	}
}

.modal__content {
	background-color: whitesmoke;
	margin: 15% auto;
	padding: 10px;
	width: 30%;
	opacity: 0.8;
	box-shadow: 0px 0px 20px 10px #b0f7f5;
}

@media only screen and (max-width: 700px) {
	.modal__content {
		background-color: whitesmoke;
		margin: 15% auto;
		padding: 10px;
		width: 90%;
		opacity: 0.8;
		box-shadow: 0px 0px 20px 10px #b0f7f5;
	}
}

.close {
	color: black;
	float: right;
	font-size: 28px;
	font-weight: bold;
}

.close:hover,
.close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

.modal__icons {
	display: flex;
	justify-content: space-evenly;
	width: 115%;
	align-items: center;
	padding: 10px;
	transition: all 1.4s ease;
	-webkit-transition: all 1.7s ease;
}

.modal__links > a {
	display: flex;
	justify-content: space-evenly;
	font-weight: bolder;
	color: black;
}

.modal__icons img:hover {
	box-shadow: 0px 0px 20px 10px #b0f7f5;
	background-color: #b0f7f5;
	transition: all 1.4s ease;
	-webkit-transition: all 1.7s ease;
	cursor: pointer;
	border-radius: 70px;
}

/* Pop up module styling ends here  */
